Last Comment Bug 742638 - Part and Quit messages get recoded however the character set is UTF-8
: Part and Quit messages get recoded however the character set is UTF-8
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: 13 Branch
: All All
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Florian Quèze [:florian] [:flo]
:
:
Mentors:
Depends on:
Blocks: 740280
  Show dependency treegraph
 
Reported: 2012-04-04 23:55 PDT by Kami
Modified: 2012-04-13 03:32 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Patch (861 bytes, patch)
2012-04-11 07:59 PDT, Florian Quèze [:florian] [:flo]
mozilla: review+
mozilla: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Kami 2012-04-04 23:55:37 PDT
User Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:13.0) Gecko/20120327 Firefox/13.0a2
Build ID: 20120327115436

Steps to reproduce:

Set ÁRVÍZTŰRŐTÜKÖRFÚRÓGÉP as Part or Quit messages in IRC client


Actual results:

I got this after save and repoen:
ÁRVÍZTŰRŐTÜKÖRFÚRÓGÉP


Expected results:

I should remain as ÁRVÍZTŰRŐTÜKÖRFÚRÓGÉP
Comment 1 Florian Quèze [:florian] [:flo] 2012-04-05 03:05:44 PDT
I'm sure I've already fixed a similar issue at least once in the past, but I can reproduce this with a current trunk build! :-(
Thanks for the report! :-)
Comment 2 Ludovic Hirlimann [:Usul] 2012-04-05 04:23:44 PDT
(In reply to Florian Quèze from comment #1)
> I'm sure I've already fixed a similar issue at least once in the past, but I
> can reproduce this with a current trunk build! :-(
> Thanks for the report! :-)

That's why you want unit tests :-)
Comment 3 Florian Quèze [:florian] [:flo] 2012-04-11 07:59:10 PDT
Created attachment 613998 [details] [diff] [review]
Patch

The fix is trivial, and I think we want to take this on aurora.
Comment 4 Florian Quèze [:florian] [:flo] 2012-04-11 08:03:40 PDT
(In reply to Ludovic Hirlimann [:Usul] from comment #2)
> (In reply to Florian Quèze from comment #1)
> > I'm sure I've already fixed a similar issue at least once in the past

It turns out it's for Instantbird that I fixed it (at https://hg.instantbird.org/instantbird/rev/69ff22bff5e3#l5.1).

> That's why you want unit tests :-)

I do want unit tests anyway :-).

Note You need to log in before you can comment on or make changes to this bug.